> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/beneficiaries-management/resend-invite-beneficiary-by-email.md).

# Resend Invite Beneficiary By Email

Re-sends an invitation email to an existing beneficiary using their beneficiary ID. Use this endpoint when the beneficiary's previous invitation link has expired and a new one needs to be issued.                                    &#x20;

&#x20; ▎ *This endpoint only works for beneficiaries that have already been created or invited previously. It cannot be used to initiate a first-time invite.*                                             &#x20;

<mark style="color:green;">**`POST`**</mark> /payments/beneficiaries/invite/resend

**Body Parameters Request**

<table data-full-width="false"><thead><tr><th width="239.87890625">Parameter</th><th width="128.7421875">Type</th><th width="142.78515625">Required</th><th>Description</th></tr></thead><tbody><tr><td>beneficiaryId</td><td>string</td><td>Yes</td><td>Unique identifier of the beneficiary to re-invite</td></tr></tbody></table>

**Body Parameter Response**

<table data-full-width="false"><thead><tr><th width="237.61328125">Parameter</th><th width="134.37109375">Type</th><th>Description</th></tr></thead><tbody><tr><td>invite.user_id</td><td>string</td><td>ID of the invited user</td></tr><tr><td>invite.user_psa_status</td><td>string</td><td>Status of the invitation</td></tr><tr><td>invite.invite_expires_at</td><td>string</td><td>ISO datetime when the new invite link expires</td></tr><tr><td>update</td><td>boolean</td><td>Indicates if this is an update operation</td></tr><tr><td>create</td><td>boolean</td><td>Indicates if this is a create operation</td></tr><tr><td>name.userId</td><td>string</td><td>ID of the invited user</td></tr><tr><td>name.permissions</td><td>array</td><td>List of permissions assigned to the user</td></tr><tr><td>name.firstName</td><td>string</td><td>First name of the beneficiary</td></tr><tr><td>name.lastName</td><td>string</td><td>Last name of the beneficiary</td></tr><tr><td>name.email</td><td>string</td><td>Email address of the beneficiary</td></tr><tr><td>name.owner.ownerId</td><td>string</td><td>Owner organisation ID</td></tr><tr><td>name.owner.ownerType</td><td>string</td><td>Owner type (e.g. org_id)</td></tr><tr><td>name.owners</td><td>object</td><td>Map of organisation IDs to assigned roles</td></tr><tr><td>name.roles</td><td>array</td><td>Roles assigned to the user</td></tr><tr><td>name.inviteExpiresAt</td><td>string</td><td>ISO datetime when the invite expires</td></tr><tr><td>name.status</td><td>string</td><td>Status of the user</td></tr></tbody></table>

**Request Example**

```json
 {
    "beneficiaryId": "O5gBSl4aQUOjhPhg7swABw"
  }
```

**Response Example**

{% tabs %}
{% tab title="200 - Sent" %}

```json
{
    "invite": {
      "user_id": "e73d41b0-8ef2-4030-8f14-b3701b492b7a",
      "user_psa_status": "INVITED",
      "invite_expires_at": "2026-02-24T14:18:47"
    },
    "update": true,
    "create": true,
    "name": {
      "userId": "e73d41b0-8ef2-4030-8f14-b3701b492b7a",
      "permissions": [],
      "firstName": "Jensen",
      "lastName": "Corwin",
      "email": "contractor.resend.invite.test.0010@mailinator.com",
      "owner": {
        "ownerId": "507000",
        "ownerType": "org_id"
      },
      "owners": {
        "org_id": {
          "507000": {
            "roles": ["SA_INVOICE_SUBMISSION_ADMIN"]
          }
        }
      },
      "roles": ["SA_INVOICE_SUBMISSION_ADMIN"],
      "inviteExpiresAt": "2026-02-24T14:12:56",
      "status": "INVITED",
      "beneficiaryId": "O5gBSl4aQUOjhPhg7swABw"
    }
  }

```

{% endtab %}

{% tab title="401 - Forbidden" %}

```json
{
    "error_code": 403,
    "error": "forbidden",
    "description": "permission denied",
    "sub_code": 403
  }
```

{% endtab %}

{% tab title="404 - Not Found" %}

```json
 {
    "error_code": 404,
    "error": "BENEFICIARY_NOT_FOUND",
    "description": "Beneficiary not found"
  }
```

{% endtab %}

{% tab title="409 - Conflict" %}

```json
{
    "error_code": 409,
    "error": "USER_ALREADY_REGISTERED",
    "description": "User is already registered"
  }
```

{% endtab %}
{% endtabs %}
